# == Class: xymon::client
#
# Manage installation and configuration of Xymon client.
#
# === Parameters
#
#
# === Variables
#
#
# === Examples
#
#  class { 'xymon::client':
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL <http://wtfpl.org/>
#
class xymon::client (
  $download_dir               = $xymon::params::cli_download_dir,
  $download_url               = $xymon::params::cli_download_url,
  $new_version                = $xymon::params::cli_new_version,
  $package_name               = $xymon::params::cli_package_name,
  $pkg_ensure                 = $xymon::params::cli_pkg_ensure,
  $pkg_provider               = $xymon::params::cli_pkg_provider,
  $service_enabled            = $xymon::params::cli_service_enabled,
  $service_managed            = $xymon::params::cli_service_managed,
  $service_name               = $xymon::params::cli_service_name,
  $service_default_path       = $xymon::params::cli_service_default_path,
  $service_default_tpl        = $xymon::params::cli_service_default_tpl,
  $service_path               = $xymon::params::cli_service_path,
  $service_tpl                = $xymon::params::cli_service_tpl,
  $main_cfg_path              = $xymon::params::cli_main_cfg_path,
  $main_cfg_tpl               = $xymon::params::cli_main_cfg_tpl,
  $list_server                = $xymon::params::list_server,
  $plugin_sug_pkg_name        = $xymon::params::plugin_sug_pkg_name,
  $plugin_download_url        = $xymon::params::plugin_download_url,
  $plugin_pkg_name            = $xymon::params::plugin_pkg_name,
  $plugin_pkg_source          = $xymon::params::plugin_pkg_source,
  $plugin_pkg_ensure          = $xymon::params::plugin_pkg_ensure,
  $plugin_pkg_provider        = $xymon::params::plugin_pkg_provider,
  $apt_accept_path            = $xymon::params::cli_apt_accept_path,
  $apt_accept_tpl             = $xymon::params::cli_apt_accept_tpl,
) inherits xymon::params {

  validate_array($list_server)

  include '::xymon::client::preconfig'
  include '::xymon::client::install'
  include '::xymon::client::config'
  include '::xymon::client::service'

  Class['::xymon::client::preconfig'] ->
  Class['::xymon::client::install'] ->
  Class['::xymon::client::config'] ->
  Class['::xymon::client::service']

} # Public class: xymon::client
