# == Class: xymon::client::install
#
# Install Xymon client
#
class xymon::client::config {

  File {
    ensure => present,
    owner  => root,
    group  => root,
    mode   => 0644,
  }

  ## Xymon client
  # Service initscript
  file { $xymon::client::service_default_path:
    content => template($xymon::client::service_default_tpl),
    notify  => Service[$xymon::client::service_name],
  }
  ->
  file { $xymon::client::service_path:
    mode    => '0754',
    content => template($xymon::client::service_tpl),
    notify  => Service[$xymon::client::service_name],
  }

  # Client Configuration
  file { $xymon::client::main_cfg_path:
    content => template($xymon::client::main_cfg_tpl),
    notify  => Service[$xymon::client::service_name],
  }

  ## Plugin
  # Plugin APT Configuration
  file { $xymon::client::apt_accept_path:
    content => template($xymon::client::apt_accept_tpl),
    notify  => Service[$xymon::client::service_name],
  }

} # Private class: xymon::client::config
