# == Class: xymon::client::preconfig
#
# Some configurations before install Xymon client
#
class xymon::client::preconfig {

  # Define the download URL
  if $xymon::client::download_url == undef {
    case $::osfamily {
      'Debian': {
        # From Xymon project via Sourceforge
        $dl_url = "http://ufpr.dl.sourceforge.net/project/xymon/Xymon/${xymon::client::new_version}"
      }
      default: {
        fail('Please define a download_url.')
      }
    }
  } else {
    $dl_url = $xymon::client::download_url
  }

  # Define the package name
  if $xymon::client::package_name  == undef {
    case $::osfamily {
      'Debian': {
        $pkg_name = "xymon-client_${xymon::client::new_version}_${::architecture}.deb"
      }
      default: {
        fail('Please define a package_name.')
      }
    }
  } else {
    $pkg_name = $xymon::client::package_name
  }

  exec { 'Create download directory for Xymon client package':
    path      => [ '/bin', '/sbin', '/usr/bin', '/usr/sbin' ],
    command   => "mkdir -p -- ${xymon::client::download_dir}",
    creates   => $xymon::client::download_dir,
    logoutput => 'on_failure',
  }

} # Private class: xymon::client::preconfig
