# == Class: xymon::server
#
# Manage installation and configuration of Xymon server.
#
# === Parameters
#
#
# === Variables
#
#
# === Examples
#
#  class { 'xymon::server':
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL <http://wtfpl.org/>
#
class xymon::server (
  $dep_pkg_name               = $xymon::params::srv_dep_pkg_name,
  $download_dir               = $xymon::params::srv_download_dir,
  $download_url               = $xymon::params::srv_download_url,
  $new_version                = $xymon::params::srv_new_version,
  $package_name               = $xymon::params::srv_package_name,
  $pkg_ensure                 = $xymon::params::srv_pkg_ensure,
  $pkg_provider               = $xymon::params::srv_pkg_provider,
  $service_enabled            = $xymon::params::srv_service_enabled,
  $service_managed            = $xymon::params::srv_service_managed,
  $service_name               = $xymon::params::srv_service_name,
  $manage_client              = $xymon::params::manage_client,
  $manage_apache_conf         = $xymon::params::manage_apache_conf,
  $manage_apache_vhost        = $xymon::params::manage_apache_vhost,
) inherits xymon::params {

  include '::xymon::server::preconfig'
  include '::xymon::server::install'
  include '::xymon::server::config'
  include '::xymon::server::service'
  include '::xymon::server::apache'

  Class['::xymon::server::preconfig'] ->
  Class['::xymon::server::install'] ->
  Class['::xymon::server::config'] ->
  Class['::xymon::server::service'] ->
  Class['::xymon::server::apache']

} # Public class: xymon::server
