# == Class: xymon::server::install
#
# Install Xymon Server
#
class xymon::server::install {

  ## Packages
  # Install dependencies¬
  ensure_resource('package', $xymon::server::dep_pkg_name , {'ensure' =>  'present'})

  # Download the latest Xymon server package
  exec { 'Download Xymon Server':
    path      => [ '/bin', '/sbin', '/usr/bin', '/usr/sbin' ],
    command   => "wget ${xymon::server::preconfig::dl_url}/${xymon::server::preconfig::pkg_name} -O ${xymon::server::preconfig::pkg_name}",
    cwd       => $xymon::server::download_dir,
    creates   => "${xymon::server::download_dir}/${xymon::server::preconfig::pkg_name}",
    logoutput => 'on_failure',
  }
  ->
  # Install Xymon server package
  package { 'xymon':
    ensure   => $xymon::server::pkg_ensure,
    provider => $xymon::server::pkg_provider,
    source   => "${xymon::server::download_dir}/${xymon::server::preconfig::pkg_name}",
    require  => [ Package[$xymon::server::dep_pkg_name], Class['::xymon::client'] ],
  }



} # Private class: xymon::server::install
